<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

<meta charset="UTF-8">
<title>Feed</title>
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"
      integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN"
      crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
    .comments {
        display: none;
    }
</style>
<script src="https://code.jquery.com/jquery-3.4.1.min.js"
        integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>
<link rel="stylesheet" th:href="@{/css/userfeed.css}" href="../static/css/userfeed.css">

</head>
<body>

<nav class="navbar navbar-light bg-white">
    <a href="#" class="navbar-brand"></a>
    <p sec:authorize="isAuthenticated()">You are logged in as: <strong><span
            sec:authentication="name"></span></strong></p>
    <form class="form-inline">
        <div class="input-group">
            <a href="/profile" sec:authorize="isAuthenticated()"><span class="fa fa-users"></span>Profile</a>
            <a class="icons" href="/"><span class="fa fa-users"></span> Mеnu  </a>
            <a href="/userlist"><span class="fa fa-users"></span>Userlist</a>


        </div>
        </div>
    </form>
</nav>


<div class="container-fluid gedf-wrapper">
    <div class="row">

<!--            User profile-->
            <div class="col-md-3">
                <div class="card profile">
                    <div class="card-body">

                       <h1>Hello Guest</h1>

<!--                        <img th:if="${user.picture != null}" th:src="@{'/profile/' +${user.getId()} + '/userimage'}"-->
<!--                             class="img-responsive"/>-->
<!--                        <img th:unless="${user.picture != null}"-->
<!--                             src="/img/default.png">-->
                        <br/>
                        <br/>
<!--                        <div class="h5"><p sec:authorize="isAuthenticated()"><strong><span-->
<!--                                th:text="${user.firstName}"></span>-->
<!--                            <span th:text="${user.lastName}"/></strong><br/></p>-->
<!--                        </div>-->
<!--                        <div class="h7 text-muted">Username : <span th:text="${user.getUserName()} "></span></div>-->

                    </div>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                            <div class="h6 text-muted">Users</div>
                            <div class="h5" th:text="${publicuser.size()}">5.2342</div>
                        </li>
                        <li class="list-group-item">
                            <div class="h6 text-muted">Posts:</div>
                            <div class="h5" th:text="${allposts.size()}">6758</div>
                        </li>
                    </ul>
                </div>
                <div class="card gedf-card msg" >
                    <div class="card-body">
                        <h4 class="card-title">Message of the day:</h4>

                        <h5 class="card-subtitle mb-2 text-muted" th:text="${'Wash your hands!'}"></h5>

                    </div>
                </div>
            </div>


        <div class="col-md-6 gedf-main">

            <!--- \\\\\\\Post-->

            <!-- Post /////-->

            <!--- \\\\\\\Post-->
            <div id="article-list" class="card gedf-card" th:each="post : ${allposts}">
                <div class="card-header">
                    <div >

                        <div class="d-flex justify-content-between align-items-center">
                            <div class="d-flex justify-content-between align-items-center">
                                <div class="mr-2">
                                    <img width="45" th:if="${post.getUser().picture != null}"
                                         th:src="@{'/profile/' +${post.getUser().getId()} + '/userimage'}"
                                         class="img-responsive"/>
                                    <img width="45" th:unless="${post.getUser().picture != null}"
                                         src="/img/default.png" class="img-responsive">
                                </div>
                                <div class="ml-2">

                                    <div class="h7 text-muted"><span th:text="${post.getUser().getUserName()} "></span></div>
                                </div>
                            </div>
                            <div>

                            </div>
                        </div>
                    </div>
                </div>
                    <div class="card-body">
                        <div class="text-muted h7 mb-2"
                             th:with="days=${T(java.util.concurrent.TimeUnit).DAYS}, millis=${T(java.util.concurrent.TimeUnit).MILLISECONDS}"
                             th:text="${days.convert(#dates.createNow().getTime() - post.getCreatedDate().getTime(),millis)}+' days ago'">
                            <!--                        <i class="fa fa-clock-o"></i><span th:text="${days.convert(#dates.createNow().getTime() - post.getCreatedDate().getTime(),millis)}+' min ago'"></span>-->
                        </div>

                    <div class="post">
                        <img width="200" height="200" th:if="${post.getImage() != null}"
                             th:src="@{'/post/' +${post.getPostId()} + '/image'}"
                             class="imgcomment" alt="" style="float: right" />  <p th:text="*{post.getPostText()}" class="card-text">
                        post text
                    </p>
                    </div>
                    </div>



                    <div class="card-footer">

                        <span class="fa fa-comment show-comments" th:if="${post.getComments().size() == 1}"
                              th:text="${post.getComments().size()}+' Comment'" style="float:right;"> 16 comments</span>
                        <span class="fa fa-comment show-comments" style="float:right;"
                              th:unless="${post.getComments().size() == 1}"
                              th:text="${' '+post.getComments().size()}+' Comments'"> 16 comments</span>




                        <div class="comments">
                            <!--                            Comment Form-->


                            <div class="card flex-row" th:each="comment : ${post.getComments()}">

                                <span class="comment-text"
                                      th:text="*{{comment.getUser().userName+': ' + comment.getCommentText()}}"
                                      align="right">
                            <p>text</p>
                        </span>

                            </div>
                        </div>
                    </div>



            </div>
        </div>

        <div class="col-md-3">


            <div class="card gedf-card">
                <div class="card-body">
                    <h5 class="card-title">Viral post</h5>

                    <h6 class="card-subtitle mb-2 text-muted"  th:text="${viral.getUser().getUserName()}"></h6>
                    <p class="card-text" th:text="${viral.getPostText()}"> </p>
                    <img width="90" th:if="${viral.getImage() != null}"
                         th:src="@{'/post/' +${viral.getPostId()} + '/image'}"
                         class="img-responsive"/>

                </div>
            </div>
        </div>
    </div>

</div>
<script>
    $('.show-comments').on("click", function () {
        $(this).siblings('.comments').toggle();
    });
</script>

<script th:src="@{/js/userfeed.js}" src="../static/js/userfeed.js"></script>

</body>
</html>
